# Stockr

Stockr (pronounced `/ˈstôkər/`, like stalker), is a data-driven platform utilizing regression techniques to model predictive indicators on stock valuation.

![c](https://images.unsplash.com/photo-1460925895917-afdab827c52f?ixlib=rb-0.3.5&s=d8791fe0f9f4e735158400f9daf6a558&auto=format&fit=crop&w=1602&q=80)

### Data aggregation

At Stockr, our primary analytics consist of leveraging public consumer media and deriving a baseline score from syntactic structures to process semantic analysis. 

```
                                         +-----------------+
                                         |                 |
                                         | User Schema     |          +----------------+
                                         |                 +---------->                |
                                         | Semantic Schema |          | MySQL Database |
                                         |                 <----------+                |
                                         | Scoring Schema  |          +-----+---^------+
                                         |                 |                |   |
                                         +-----------------+                |   |
                                                                            |   |
                                                                            |   |
                                                                            |   |
                                                                            |   |
                                  +-----------------------------------------v---+-------------+
                                  |                                                           |
                                  |                         Server                            |
                                  |                                                           |
                                  | Data Capturing    Processing Pipeline   Data Processing   |
                                  |                                                           |
                                  | Web Crawler       Queue Monitor         Semantic Analysis |
                                  |                                                           |
                                  |                   Data Store                              |
                                  |                                                           |
                                  +------------------------+--------^-------------------------+
                                                           |        |
                                                           |        |
                                                           |        |
                                                           |        |
                                                     +-----v--------+-----+
                                                     |                    |
                                                     | Application View   |
                                                     |                    |
                                                     | Data Visualization |
                                                     |                    |
                                                     +--------------------+
```

##### SEC Compliance

These securities have not been approved or disapproved by the SEC nor have any representations been made about the accuracy of the adequacy of the information.